com.hazelcast.instance

## Class MemberImpl.Builder

- java.lang.Object
- - com.hazelcast.instance.MemberImpl.Builder

- Enclosing class:
    MemberImpl

      public static class MemberImpl.Builder
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Builder(Address address)`
    `Builder(Map<EndpointQualifier,Address> addresses)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `MemberImpl.Builder` | `attributes(Map<String,Object> attributes)`
    `MemberImpl` | `build()`
    `MemberImpl.Builder` | `instance(HazelcastInstanceImpl hazelcastInstanceImpl)`
    `MemberImpl.Builder` | `liteMember(boolean liteMember)`
    `MemberImpl.Builder` | `localMember(boolean localMember)`
    `MemberImpl.Builder` | `memberListJoinVersion(int memberListJoinVersion)`
    `MemberImpl.Builder` | `uuid(String uuid)`
    `MemberImpl.Builder` | `version(MemberVersion memberVersion)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Builder

          public Builder(Address address)

    - #### Builder

          public Builder(Map<EndpointQualifier,Address> addresses)

  - ### Method Detail

    - #### localMember

          public MemberImpl.Builder localMember(boolean localMember)

    - #### version

          public MemberImpl.Builder version(MemberVersion memberVersion)

    - #### uuid

          public MemberImpl.Builder uuid(String uuid)

    - #### attributes

          public MemberImpl.Builder attributes(Map<String,Object> attributes)

    - #### memberListJoinVersion

          public MemberImpl.Builder memberListJoinVersion(int memberListJoinVersion)

    - #### liteMember

          public MemberImpl.Builder liteMember(boolean liteMember)

    - #### instance

          public MemberImpl.Builder instance(HazelcastInstanceImpl hazelcastInstanceImpl)

    - #### build

          public MemberImpl build()

Copyright © 2019. All rights reserved.